// var opensubmit=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
$(document).ready(function(){
    function vtrue(item,i){
        $(item).css("border-color","green");
        $(item).css("color","black");
        opensubmit[i-1]=1;
    }
    function vfalse(item,i){
        $(item).css("border-color","red");
        $(item).css("color","red");
        opensubmit[i-1]=0;
    }
    $("#name").blur(function(){
         if($(this).val().length > 0){namecheck(this);}
    });
    $("#Fname").blur(function(){
    namecheck(this);
    });
    async function namecheck(item){
    if(await ISalphabet($(item).val(),3)){
             vtrue(item,1);
        }else{
             HnotificationA({status:"warning",Ctext:"نام وارد شده صحیح نیست"});
            vfalse(item,1);
        }
    }
    $("#fam").blur(function(){
         if($(this).val().length > 0){famcheck(this);}
    });
    $("#Ffam").blur(function(){
        famcheck(this);
    });
    async function famcheck(item){
        if(await ISalphabet($(item).val(),2)){
             vtrue(item,2);
        }else{
            HnotificationA({status:"warning",Ctext:"نام حانوادگی وارد شده صحیح نیست"});
            vfalse(item,2);
        }
    }   
    $("#phone").blur(function(){
        if($(this).val().length > 0){phonecheck(this);}
    });
    $("#Fphone").blur(function(){
        phonecheck(this);
    });
    async function phonecheck(item){
        if(await ISphone($(item).val())){
            vtrue(item,3);
        }else{
            HnotificationA({status:"warning",Ctext:"شماره وارد شده صحیح نیست"});
            vfalse(item,3);
        }
    }
    $("#idcode").blur(function(){
         if($(this).val().length > 0){idcodecheck(this);}
    });
    $("#Fidcode").blur(function(){
        idcodecheck(this);
    });
    async function idcodecheck(item){
        if(await ISidcode($(item).val())){
            vtrue(item,4);
        }else{
            HnotificationA({status:"warning",Ctext:"کد ملی وارد شده صحیح نیست"});
            vfalse(item,4);
        }
    }
    $("#email").blur(function(){
         if($(this).val().length > 0){emailcheck(this);}
    });
    $("#Femail").blur(function(){
        emailcheck(this);
    });
    async function emailcheck(item){
        if(await ISemail($(item).val())){
             vtrue(item,6);
        }else{
            HnotificationA({status:"warning",Ctext:"ایمیل وارد شده صحیح نیست"});
            vfalse(item,6);
        }
    }   
    $("#username").blur(function(){
         if($(this).val().length > 0){usernamecheck(this);}
    });
    $("#Fusername").blur(function(){
        usernamecheck(this);
    });
    async function usernamecheck(item){
        if(await ISstring($(item).val(),3)){
             vtrue(item,7);
        }else{
            HnotificationA({status:"warning",Ctext:"نام کاربری وارد شده صحیح نیست"});
            vfalse(item,7);
        }
    }   
    $("#password").blur(function(){
         if($(this).val().length > 0){passwordcheck(this);}
    });
    $("#Fpassword").blur(function(){
        passwordcheck(this);
    });
    async function passwordcheck(item){
    if(await ISstring($(item).val(),6)){
             vtrue(item,8);
        }else{
            Hnotification({status:"warning",Ctext:"کلمه عبور وارد شده صحیح نیست"});
            vfalse(item,8);
        }
    }   
    // $("#fam2").blur(function(){
    //      if($(this).val().length > 0){fam2check(this);}
    // });
    // $("#Ffam2").blur(function(){
    //     famcheck(this);
    // });
    // async function fam2check(item){
    //     if(await ISalphabet($(this).val())){
    //          vtrue(this,2);
    //     }else{
    //         Hnotification({status:"warning",Ctext:"نام حانوادگی وارد شده صحیح نیست"});
    //         vfalse(this,2);
    //     }
    // }   

 
 

 
 
 
 
 
 
 
 
 
 
 
        // <div class="Hcol-xlg-6 Hcol-lg-6 Hcol-xmd-6 Hcol-md-6 Hcol-xsm-6 Hcol-sm-6 Hcol-xs-12 Hcol-xss-12 Hpadd-2per">
        //         <label>تلگرام</label>
        //         <input type="text" id="telegram" class="Htxt-V1" name="telegram" @{if model}  value="@{!model.data.telegram}" @{fi} />           
        // </div>  

        // <div class="Hcol-xlg-6 Hcol-lg-6 Hcol-xmd-6 Hcol-md-6 Hcol-xsm-6 Hcol-sm-6 Hcol-xs-12 Hcol-xss-12 Hpadd-2per">
        //         <label>واتس آپ</label>
        //         <input type="text" id="whatsapp" class="Htxt-V1" name="whatsapp" @{if model}  value="@{!model.data.whatsapp}" @{fi} />
                
                
        // </div>  

        // <div class="Hcol-xlg-6 Hcol-lg-6 Hcol-xmd-6 Hcol-md-6 Hcol-xsm-6 Hcol-sm-6 Hcol-xs-12 Hcol-xss-12 Hpadd-2per">
        //         <label>اینستاگرام</label>
        //         <input type="text" id="instagram" class="Htxt-V1" name="instagram" @{if model}  value="@{!model.data.instagram}" @{fi} />
        // </div>  
     
 
 
 
 
 
 
 
 
 
 
 
    
//     $("#idcode").blur(async function(){
//         if(ISidcode($(this).val())){
//             $(this).css("border-color","green");
//             $(this).css("color","black");
//             opensubmit[2]=1;
//         }else{
//             Hnotification({status:"warning",Ctext:"کد ملی وارد شده صحیح نیست"});
//             $(this).css("border-color","red");
//             $(this).css("color","red");
//             opensubmit[2]=0;
//         }

//   });
//       $("#idcode").blur(async function(){

//         if($(this).val().length!=10){
//             Hnotification({status:"warning",Ctext:"کد ملی وارد شده صحیح نیست"});
//             $(this).css("border-color","red");
//             $(this).css("color","red");
//             opensubmit[2]=0;
//         }else{
//             //$(this).attr("style","color:green");
//             var w=$(this).val();
//             var sum=0;
//             for(s in w){if(s<9){sum+=w[s]*(10-s);}}
//             sum=sum%11;
//             if((sum<2 && w[9]==sum) || ((11-w[9])==sum)){
//                 $(this).css("border-color","green");
//                 $(this).css("color","black");
//                 opensubmit[2]=1;
//             }else{
//                 Hnotification({status:"warning",Ctext:"کد ملی وارد شده صحیح نیست"});
//                 $(this).css("border-color","red");
//                 $(this).css("color","red");
//                 opensubmit[2]=0;
//             }
//         }
//   });


//       $("#phone").blur(async function(){
//     // if($(this).val().length!=10){
//     //       $(this).css("border-color","red");
//     //       $(this).css("color","red");
//     //       opensubmit[3]=0;
//     // }else{
//     //       if($(this).val()[0]==9){
//     //               $(this).css("border-color","green");
//     //               $(this).css("color","black");
//     //               opensubmit[3]=1;

//     //       }else{
//     //               alert("66666");
//     //               $(this).css("border-color","red");
//     //               $(this).css("color","red");
//     //               opensubmit[3]=0;

//     //       }

//     // }
// });

});